Debian Bug report logs - #710983
librdf-helper-perl: FTBFS with perl 5.18: test failures

version graph

Package: src:librdf-helper-perl; Maintainer for src:librdf-helper-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 3 Jun 2013 20:39:01 UTC

Severity: serious

Tags: jessie, sid

Found in version librdf-helper-perl/2.0-1

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=72636

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710983; Package src:librdf-helper-perl. (Mon, 03 Jun 2013 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 03 Jun 2013 20:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: librdf-helper-perl: FTBFS with perl 5.18: test failures
Date: Mon, 3 Jun 2013 21:34:34 +0100
Source: librdf-helper-perl
Version: 2.0-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie patch
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=72636

This package FTBFS with perl 5.18 from experimental (in a clean sbuild
session):

syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 133, near "$type qw( subject predicate object )"
Global symbol "$type" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 134.
Global symbol "$self" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 137.
Global symbol "@nodes" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 137.
syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 138, near "}"
syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 148, near "$type qw( subject predicate object )"
Global symbol "$type" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 149.
Global symbol "@nodes" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 152.
syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 154, near "}"
syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 192, near "}"
/build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/

...

There is a possible fix on the RT ticket.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710983; Package src:librdf-helper-perl. (Wed, 05 Jun 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 05 Jun 2013 16:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 710983@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 710983@bugs.debian.org
Cc: bug-RDF-Helper@cpan.org
Subject: [rt.cpan.org #59478] Re: Bug#710983: librdf-helper-perl: FTBFS with perl 5.18: test failures
Date: Wed, 5 Jun 2013 18:48:32 +0200
[Message part 1 (text/plain, inline)]
On Mon, 03 Jun 2013 21:34:34 +0100, Dominic Hargreaves wrote:

> Source: librdf-helper-perl
> Version: 2.0-1
> Severity: important
> User: debian-perl@lists.debian.org
> Usertags: perl-5.18-transition
> Tags: sid jessie patch
> Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=72636
> 
> This package FTBFS with perl 5.18 from experimental (in a clean sbuild
> session):
> 
> syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 133, near "$type qw( subject predicate object )"
> Global symbol "$type" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 134.
> Global symbol "$self" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 137.
> Global symbol "@nodes" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 137.
> syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 138, near "}"
> syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 148, near "$type qw( subject predicate object )"
> Global symbol "$type" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 149.
> Global symbol "@nodes" requires explicit package name at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 152.
> syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 154, near "}"
> syntax error at /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland.pm line 192, near "}"
> /build/dom-librdf-helper-perl_2.0-1-i386-8vMFqN/librdf-helper-perl-2.0/blib/
> 
> ...
> 
> There is a possible fix on the RT ticket.

The patch is incomplete, I'm attaching a better one.

But the build still fails:

# prove --blib --verbose t/6_query_perl.t 
t/6_query_perl.t .. given is experimental at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper.pm line 28.
when is experimental at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper.pm line 29.
when is experimental at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper.pm line 30.

ok 1 - property hash contains key values
ok 2 - items hash key contains key values
Attribute (query) does not pass the type constraint because: Validation failed for 'RDF::Redland::Query' with value undef at reader RDF::Helper::RDFRedland::Query::query (defined at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland/Query.pm line 13) line 15.
    RDF::Helper::RDFRedland::Query::query('RDF::Helper::RDFRedland::Query=HASH(0x2a8f948)') called at /usr/lib/perl5/Moose/Meta/Method/Delegation.pm line 92
    RDF::Helper::RDFRedland::Query::_execute('RDF::Helper::RDFRedland::Query=HASH(0x2a8f948)', 'RDF::Redland::Model=HASH(0x2969140)') called at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland/Query.pm line 37
    RDF::Helper::RDFRedland::Query::execute('RDF::Helper::RDFRedland::Query=HASH(0x2a8f948)') called at /tmp/buildd/librdf-helper-perl-2.0/blib/lib/RDF/Helper/RDFRedland/Query.pm line 52
    RDF::Helper::RDFRedland::Query::selectrow_hashref('RDF::Helper::RDFRedland::Query=HASH(0x2a8f948)') called at t/6_query_perl.t line 105
    main::test('RDF::Helper=HASH(0x2823f18)') called at t/6_query_perl.t line 28
# Tests were run but no plan was declared and done_testing() was not seen.
Dubious, test returned 2 (wstat 512, 0x200)
All 2 subtests passed 

Test Summary Report
-------------------
t/6_query_perl.t (Wstat: 512 Tests: 2 Failed: 0)
  Non-zero exit status: 2
  Parse errors: No plan found in TAP output
Files=1, Tests=2,  1 wallclock secs ( 0.03 usr  0.00 sys +  0.50 cusr  0.01 csys =  0.54 CPU)
Result: FAIL


Cheers,
gregor
 

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Funny Van Dannen: Sozialismus
[qw-list.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 05 Jun 2013 16:51:14 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 13 Aug 2013 12:21:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710983; Package src:librdf-helper-perl. (Wed, 29 Jan 2014 16:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 29 Jan 2014 16:48:17 GMT) Full text and rfc822 format available.

Message #19 received at 710983@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 710983@bugs.debian.org
Subject: Fixed in git
Date: Mon, 27 Jan 2014 20:02:07 +0100
[Message part 1 (text/plain, inline)]
tags 710983 pending
thanks

Fix is now applied in git.

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Wed, 29 Jan 2014 16:48:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710983; Package src:librdf-helper-perl. (Thu, 06 Mar 2014 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 06 Mar 2014 23:30:05 GMT) Full text and rfc822 format available.

Message #26 received at 710983@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Jonas Smedegaard <dr@jones.dk>, 710983@bugs.debian.org
Subject: Re: Bug#710983: Fixed in git
Date: Thu, 6 Mar 2014 23:26:39 +0000
Control: tags -1 - pending

On Mon, Jan 27, 2014 at 08:02:07PM +0100, Jonas Smedegaard wrote:
> tags 710983 pending
> thanks
> 
> Fix is now applied in git.

Unfortunately as gregor mentioned the build still fails (at least for
me):

when is experimental at /home/dom/working/pkg-perl/git/librdf-helper-perl/blib/lib/RDF/Helper.pm line 31.
Attribute (query) does not pass the type constraint because: Validation failed for 'RDF::Redland::Query' with value undef at /usr/lib/perl5/Moose/Exception.pm line 37
        Moose::Exception::_build_trace('Moose::Exception::ValidationFailedForInlineTypeConstraint=HASH(0x8ed08c8)') called at reader Moose::Exception::trace (defined at /usr/lib/perl5/Moose/Exception.pm line 9) line 7
        Moose::Exception::trace('Moose::Exception::ValidationFailedForInlineTypeConstraint=HASH(0x8ed08c8)') called at /usr/lib/perl5/Moose/Exception.pm line 49
        Moose::Exception::BUILD('Moose::Exception::ValidationFailedForInlineTypeConstraint=HASH(0x8ed08c8)', 'HASH(0x8e244c0)') called at /usr/lib/perl5/Class/MOP/Method.pm line 128
        Class::MOP::Method::execute('Moose::Meta::Method=HASH(0x8faf720)', 'Moose::Exception::ValidationFailedForInlineTypeConstraint=HASH(0x8ed08c8)', 'HASH(0x8e244c0)') called at /usr/lib/perl5/Moose/Object.pm line 56
        Moose::Object::BUILDALL('Moose::Exception::ValidationFailedForInlineTypeConstraint=HASH(0x8ed08c8)', 'HASH(0x8e244c0)') called at /usr/lib/perl5/Moose/Meta/Class.pm line 282
        Moose::Meta::Class::new_object('Moose::Meta::Class=HASH(0x9000abc)', 'HASH(0x8e244c0)') called at /usr/lib/perl5/Moose/Object.pm line 27
        Moose::Object::new('Moose::Exception::ValidationFailedForInlineTypeConstraint', 'type_constraint_message', 'Validation failed for \'RDF::Redland::Query\' with value undef', 'class_name', 'RDF::Helper::RDFRedland::Query', 'attribute_name', 'query', 'value', undef) called at /usr/lib/perl5/Moose/Util.pm line 51
        Moose::Util::throw_exception('ValidationFailedForInlineTypeConstraint', 'type_constraint_message', 'Validation failed for \'RDF::Redland::Query\' with value undef', 'class_name', 'RDF::Helper::RDFRedland::Query', 'attribute_name', 'query', 'value', undef) called at reader RDF::Helper::RDFRedland::Query::query (defined at /home/dom/working/pkg-perl/git/librdf-helper-perl/blib/lib/RDF/Helper/RDFRedland/Query.pm line 13) line 15
        RDF::Helper::RDFRedland::Query::query('RDF::Helper::RDFRedland::Query=HASH(0x8ec3e84)') called at /usr/lib/perl5/Moose/Meta/Method/Delegation.pm line 96
        RDF::Helper::RDFRedland::Query::_execute('RDF::Helper::RDFRedland::Query=HASH(0x8ec3e84)', 'RDF::Redland::Model=HASH(0x8e24650)') called at /home/dom/working/pkg-perl/git/librdf-helper-perl/blib/lib/RDF/Helper/RDFRedland/Query.pm line 37
        RDF::Helper::RDFRedland::Query::execute('RDF::Helper::RDFRedland::Query=HASH(0x8ec3e84)') called at /home/dom/working/pkg-perl/git/librdf-helper-perl/blib/lib/RDF/Helper/RDFRedland/Query.pm line 52
        RDF::Helper::RDFRedland::Query::selectrow_hashref('RDF::Helper::RDFRedland::Query=HASH(0x8ec3e84)') called at t/6_query_perl.t line 105
        main::test('RDF::Helper=HASH(0x8d232b8)') called at t/6_query_perl.t line 28
# Tests were run but no plan was declared and done_testing() was not seen.
t/6_query_perl.t .............. 
ok 1 - property hash contains key values
ok 2 - items hash key contains key values
Dubious, test returned 255 (wstat 65280, 0xff00)

Test Summary Report
-------------------
t/6_query_perl.t            (Wstat: 65280 Tests: 2 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
Files=13, Tests=229, 22 wallclock secs ( 0.10 usr  0.01 sys + 19.28 cusr  0.76 csys = 20.15 CPU)
Result: FAIL




Removed tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to 710983-submit@bugs.debian.org. (Thu, 06 Mar 2014 23:30:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:35:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.